Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5140)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5141)
@@ -4310,141 +4270,139 @@
     END DO ! cld
 
-!ym BIG Warning : it seems that the k loop is missing !!!
-!ym Strong advice to check this
-!ym add a k loop temporary 
-
-! (particular case: no detraining level is found)                              ! cld
-! Verif merge Dynamico<<<<<<< .working
+    !ym BIG Warning : it seems that the k loop is missing !!!
+    !ym Strong advice to check this
+    !ym add a k loop temporary
+
+    ! (particular case: no detraining level is found)                              ! cld
+    ! Verif merge Dynamico<<<<<<< .working
     DO il = 1, ncum                                                            ! cld
-      IF (i<=inb(il) .AND. nent(il,i)==0 .AND. iflag(il)<=1) THEN              ! cld
-        qcond(il, i) = qcond(il, i) + (1.-ep(il,i))*clw(il, i)                 ! cld
-!jyg<   Bug correction 20180620
-!      PROBLEM: Should not qent(il,i,i) be taken into account even if nent(il,i)/=0?
-!!        qtment(il, i) = qent(il,k,i) + qtment(il,i)                            ! cld
-        qdet(il,i,i) = qent(il,i,i)                                            ! cld Louis : specific humidity in detraining water
-        qtment(il, i) = qent(il,i,i) + qtment(il,i)                            ! cld
-!>jyg
+      IF (i<=inb(il) .AND. nent(il, i)==0 .AND. iflag(il)<=1) THEN              ! cld
+        qcond(il, i) = qcond(il, i) + (1. - ep(il, i)) * clw(il, i)                 ! cld
+        !jyg<   Bug correction 20180620
+        !      PROBLEM: Should not qent(il,i,i) be taken into account even if nent(il,i)/=0?
+        !!        qtment(il, i) = qent(il,k,i) + qtment(il,i)                            ! cld
+        qdet(il, i, i) = qent(il, i, i)                                            ! cld Louis : specific humidity in detraining water
+        qtment(il, i) = qent(il, i, i) + qtment(il, i)                            ! cld
+        !>jyg
         nqcond(il, i) = nqcond(il, i) + 1.                                     ! cld
       END IF                                                                   ! cld
     END DO                                                                     ! cld
-! Verif merge Dynamico =======
-! Verif merge Dynamico     DO k = i + 1, nl
-! Verif merge Dynamico       DO il = 1, ncum        !ym k loop added                                    ! cld
-! Verif merge Dynamico         IF (i<=inb(il) .AND. nent(il,i)==0 .AND. iflag(il)<=1) THEN              ! cld
-! Verif merge Dynamico           qcond(il, i) = qcond(il, i) + (1.-ep(il,i))*clw(il, i)                 ! cld
-! Verif merge Dynamico           qtment(il, i) = qent(il,k,i) + qtment(il,i)                          ! cld
-! Verif merge Dynamico           nqcond(il, i) = nqcond(il, i) + 1.                                     ! cld
-! Verif merge Dynamico         END IF                                                                   ! cld
-! Verif merge Dynamico       END DO
-! Verif merge Dynamico     ENDDO                                                                     ! cld
-! Verif merge Dynamico >>>>>>> .merge-right.r3413
+    ! Verif merge Dynamico =======
+    ! Verif merge Dynamico     DO k = i + 1, nl
+    ! Verif merge Dynamico       DO il = 1, ncum        !ym k loop added                                    ! cld
+    ! Verif merge Dynamico         IF (i<=inb(il) .AND. nent(il,i)==0 .AND. iflag(il)<=1) THEN              ! cld
+    ! Verif merge Dynamico           qcond(il, i) = qcond(il, i) + (1.-ep(il,i))*clw(il, i)                 ! cld
+    ! Verif merge Dynamico           qtment(il, i) = qent(il,k,i) + qtment(il,i)                          ! cld
+    ! Verif merge Dynamico           nqcond(il, i) = nqcond(il, i) + 1.                                     ! cld
+    ! Verif merge Dynamico         END IF                                                                   ! cld
+    ! Verif merge Dynamico       END DO
+    ! Verif merge Dynamico     ENDDO                                                                     ! cld
+    ! Verif merge Dynamico >>>>>>> .merge-right.r3413
 
     DO il = 1, ncum                                                            ! cld
-      IF (i<=inb(il) .AND. nqcond(il,i)/=0 .AND. iflag(il)<=1) THEN            ! cld
-        qcond(il, i) = qcond(il, i)/nqcond(il, i)                              ! cld
-        qtment(il, i) = qtment(il,i)/nqcond(il, i)                             ! cld
+      IF (i<=inb(il) .AND. nqcond(il, i)/=0 .AND. iflag(il)<=1) THEN            ! cld
+        qcond(il, i) = qcond(il, i) / nqcond(il, i)                              ! cld
+        qtment(il, i) = qtment(il, i) / nqcond(il, i)                             ! cld
       END IF                                                                   ! cld
     END DO
 
-!AC!      do j=1,ntra
-!AC!       do il=1,ncum
-!AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
-!AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
-!AC!         cpinv=1.0/cpn(il,i)
-!AC!
-!AC!         if (cvflag_grav) THEN
-!AC!          ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv
-!AC!     :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
-!AC!     :     -mp(il,i)*(trap(il,i,j)-trap(il,i-1,j)))
-!AC!         else
-!AC!          ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv
-!AC!     :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
-!AC!     :     -mp(il,i)*(trap(il,i,j)-trap(il,i-1,j)))
-!AC!         endif
-!AC!        endif ! i
-!AC!       enddo
-!AC!      enddo
-
-
-500 END DO
-
-!JYG<
-!Conservation de l'eau
-!   sumdq = 0.
-!   DO k = 1, nl
-!     sumdq = sumdq + fr(1, k)*100.*(ph(1,k)-ph(1,k+1))/grav
-!   END DO
-!   PRINT *, 'cv3_yield, apres 500, sum(dq), precip, somme ', sumdq, Vprecip(1, 1), sumdq + vprecip(1, 1)
-!JYG>
-! ***   move the detrainment at level inb down to level inb-1   ***
-! ***        in such a way as to preserve the vertically        ***
-! ***          integrated enthalpy and water tendencies         ***
-
-! Correction bug le 18-03-09
+    !AC!      do j=1,ntra
+    !AC!       do il=1,ncum
+    !AC!        if (i.le.inb(il) .AND. iflag(il) .le. 1) THEN
+    !AC!         dpinv=1.0/(ph(il,i)-ph(il,i+1))
+    !AC!         cpinv=1.0/cpn(il,i)
+    !AC!
+    !AC!         if (cvflag_grav) THEN
+    !AC!          ftra(il,i,j)=ftra(il,i,j)+0.01*grav*dpinv
+    !AC!     :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
+    !AC!     :     -mp(il,i)*(trap(il,i,j)-trap(il,i-1,j)))
+    !AC!         else
+    !AC!          ftra(il,i,j)=ftra(il,i,j)+0.1*dpinv
+    !AC!     :     *(mp(il,i+1)*(trap(il,i+1,j)-tra(il,i,j))
+    !AC!     :     -mp(il,i)*(trap(il,i,j)-trap(il,i-1,j)))
+    !AC!         endif
+    !AC!        endif ! i
+    !AC!       enddo
+    !AC!      enddo
+
+  500 END DO
+
+  !JYG<
+  !Conservation de l'eau
+  !   sumdq = 0.
+  !   DO k = 1, nl
+  !     sumdq = sumdq + fr(1, k)*100.*(ph(1,k)-ph(1,k+1))/grav
+  !   END DO
+  !   PRINT *, 'cv3_yield, apres 500, sum(dq), precip, somme ', sumdq, Vprecip(1, 1), sumdq + vprecip(1, 1)
+  !JYG>
+  ! ***   move the detrainment at level inb down to level inb-1   ***
+  ! ***        in such a way as to preserve the vertically        ***
+  ! ***          integrated enthalpy and water tendencies         ***
+
+  ! Correction bug le 18-03-09
   DO il = 1, ncum
     IF (iflag(il)<=1) THEN
-      ax = 0.01*grav*ment(il, inb(il), inb(il))* &
-           (hp(il,inb(il))-h(il,inb(il))+t(il,inb(il))*(cpv-cpd)*(rr(il,inb(il))-qent(il,inb(il),inb(il))))/ &
-                                (cpn(il,inb(il))*(ph(il,inb(il))-ph(il,inb(il)+1)))
+      ax = 0.01 * grav * ment(il, inb(il), inb(il)) * &
+              (hp(il, inb(il)) - h(il, inb(il)) + t(il, inb(il)) * (cpv - cpd) * (rr(il, inb(il)) - qent(il, inb(il), inb(il)))) / &
+              (cpn(il, inb(il)) * (ph(il, inb(il)) - ph(il, inb(il) + 1)))
       ft(il, inb(il)) = ft(il, inb(il)) - ax
-      ft(il, inb(il)-1) = ft(il, inb(il)-1) + ax*cpn(il, inb(il))*(ph(il,inb(il))-ph(il,inb(il)+1))/ &
-                              (cpn(il,inb(il)-1)*(ph(il,inb(il)-1)-ph(il,inb(il))))
-
-      bx = 0.01*grav*ment(il, inb(il), inb(il))*(qent(il,inb(il),inb(il))-rr(il,inb(il)))/ &
-                                                 (ph(il,inb(il))-ph(il,inb(il)+1))
+      ft(il, inb(il) - 1) = ft(il, inb(il) - 1) + ax * cpn(il, inb(il)) * (ph(il, inb(il)) - ph(il, inb(il) + 1)) / &
+              (cpn(il, inb(il) - 1) * (ph(il, inb(il) - 1) - ph(il, inb(il))))
+
+      bx = 0.01 * grav * ment(il, inb(il), inb(il)) * (qent(il, inb(il), inb(il)) - rr(il, inb(il))) / &
+              (ph(il, inb(il)) - ph(il, inb(il) + 1))
       fr(il, inb(il)) = fr(il, inb(il)) - bx
-      fr(il, inb(il)-1) = fr(il, inb(il)-1) + bx*(ph(il,inb(il))-ph(il,inb(il)+1))/ &
-                                                 (ph(il,inb(il)-1)-ph(il,inb(il)))
-
-      cx = 0.01*grav*ment(il, inb(il), inb(il))*(uent(il,inb(il),inb(il))-u(il,inb(il)))/ &
-                                                 (ph(il,inb(il))-ph(il,inb(il)+1))
+      fr(il, inb(il) - 1) = fr(il, inb(il) - 1) + bx * (ph(il, inb(il)) - ph(il, inb(il) + 1)) / &
+              (ph(il, inb(il) - 1) - ph(il, inb(il)))
+
+      cx = 0.01 * grav * ment(il, inb(il), inb(il)) * (uent(il, inb(il), inb(il)) - u(il, inb(il))) / &
+              (ph(il, inb(il)) - ph(il, inb(il) + 1))
       fu(il, inb(il)) = fu(il, inb(il)) - cx
-      fu(il, inb(il)-1) = fu(il, inb(il)-1) + cx*(ph(il,inb(il))-ph(il,inb(il)+1))/ &
-                                                 (ph(il,inb(il)-1)-ph(il,inb(il)))
-
-      dx = 0.01*grav*ment(il, inb(il), inb(il))*(vent(il,inb(il),inb(il))-v(il,inb(il)))/ &
-                                                 (ph(il,inb(il))-ph(il,inb(il)+1))
+      fu(il, inb(il) - 1) = fu(il, inb(il) - 1) + cx * (ph(il, inb(il)) - ph(il, inb(il) + 1)) / &
+              (ph(il, inb(il) - 1) - ph(il, inb(il)))
+
+      dx = 0.01 * grav * ment(il, inb(il), inb(il)) * (vent(il, inb(il), inb(il)) - v(il, inb(il))) / &
+              (ph(il, inb(il)) - ph(il, inb(il) + 1))
       fv(il, inb(il)) = fv(il, inb(il)) - dx
-      fv(il, inb(il)-1) = fv(il, inb(il)-1) + dx*(ph(il,inb(il))-ph(il,inb(il)+1))/ &
-                                                 (ph(il,inb(il)-1)-ph(il,inb(il)))
+      fv(il, inb(il) - 1) = fv(il, inb(il) - 1) + dx * (ph(il, inb(il)) - ph(il, inb(il) + 1)) / &
+              (ph(il, inb(il) - 1) - ph(il, inb(il)))
     END IF !iflag
   END DO
 
-!JYG<
-!Conservation de l'eau
-!   sumdq = 0.
-!   DO k = 1, nl
-!     sumdq = sumdq + fr(1, k)*100.*(ph(1,k)-ph(1,k+1))/grav
-!   END DO
-!   PRINT *, 'cv3_yield, apres 503, sum(dq), precip, somme ', sumdq, Vprecip(1, 1), sumdq + vprecip(1, 1)
-!JYG>
-
-!AC!      do j=1,ntra
-!AC!       do il=1,ncum
-!AC!        IF (iflag(il) .le. 1) THEN
-!AC!	IF (cvflag_grav) THEN
-!AC!        ex=0.01*grav*ment(il,inb(il),inb(il))
-!AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
-!AC!     :      /(ph(i l,inb(il))-ph(il,inb(il)+1))
-!AC!        ftra(il,inb(il),j)=ftra(il,inb(il),j)-ex
-!AC!        ftra(il,inb(il)-1,j)=ftra(il,inb(il)-1,j)
-!AC!     :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
-!AC!     :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
-!AC!	else
-!AC!        ex=0.1*ment(il,inb(il),inb(il))
-!AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
-!AC!     :      /(ph(i l,inb(il))-ph(il,inb(il)+1))
-!AC!        ftra(il,inb(il),j)=ftra(il,inb(il),j)-ex
-!AC!        ftra(il,inb(il)-1,j)=ftra(il,inb(il)-1,j)
-!AC!     :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
-!AC!     :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
-!AC!        ENDIF   !cvflag grav
-!AC!        ENDIF    !iflag
-!AC!       enddo
-!AC!      enddo
-
-
-! ***    homogenize tendencies below cloud base    ***
-
+  !JYG<
+  !Conservation de l'eau
+  !   sumdq = 0.
+  !   DO k = 1, nl
+  !     sumdq = sumdq + fr(1, k)*100.*(ph(1,k)-ph(1,k+1))/grav
+  !   END DO
+  !   PRINT *, 'cv3_yield, apres 503, sum(dq), precip, somme ', sumdq, Vprecip(1, 1), sumdq + vprecip(1, 1)
+  !JYG>
+
+  !AC!      do j=1,ntra
+  !AC!       do il=1,ncum
+  !AC!        IF (iflag(il) .le. 1) THEN
+  !AC!	IF (cvflag_grav) THEN
+  !AC!        ex=0.01*grav*ment(il,inb(il),inb(il))
+  !AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
+  !AC!     :      /(ph(i l,inb(il))-ph(il,inb(il)+1))
+  !AC!        ftra(il,inb(il),j)=ftra(il,inb(il),j)-ex
+  !AC!        ftra(il,inb(il)-1,j)=ftra(il,inb(il)-1,j)
+  !AC!     :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
+  !AC!     :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
+  !AC!	else
+  !AC!        ex=0.1*ment(il,inb(il),inb(il))
+  !AC!     :      *(traent(il,inb(il),inb(il),j)-tra(il,inb(il),j))
+  !AC!     :      /(ph(i l,inb(il))-ph(il,inb(il)+1))
+  !AC!        ftra(il,inb(il),j)=ftra(il,inb(il),j)-ex
+  !AC!        ftra(il,inb(il)-1,j)=ftra(il,inb(il)-1,j)
+  !AC!     :       +ex*(ph(il,inb(il))-ph(il,inb(il)+1))
+  !AC!     :          /(ph(il,inb(il)-1)-ph(il,inb(il)))
+  !AC!        ENDIF   !cvflag grav
+  !AC!        ENDIF    !iflag
+  !AC!       enddo
+  !AC!      enddo
+
+
+  ! ***    homogenize tendencies below cloud base    ***
 
   DO il = 1, ncum
@@ -4459,57 +4417,57 @@
   END DO
 
-!do i=1,nl
-!do il=1,ncum
-!th_wake(il,i)=t_wake(il,i)*(1000.0/p(il,i))**rdcp
-!enddo
-!enddo
+  !do i=1,nl
+  !do il=1,ncum
+  !th_wake(il,i)=t_wake(il,i)*(1000.0/p(il,i))**rdcp
+  !enddo
+  !enddo
 
   DO i = 1, nl
     DO il = 1, ncum
-      IF (i<=(icb(il)-1) .AND. iflag(il)<=1) THEN
-!jyg  Saturated part : use T profile
-        asum(il) = asum(il) + (ft(il,i)-ftd(il,i))*(ph(il,i)-ph(il,i+1))
-!jyg<20140311
-!Correction pour conserver l eau
+      IF (i<=(icb(il) - 1) .AND. iflag(il)<=1) THEN
+        !jyg  Saturated part : use T profile
+        asum(il) = asum(il) + (ft(il, i) - ftd(il, i)) * (ph(il, i) - ph(il, i + 1))
+        !jyg<20140311
+        !Correction pour conserver l eau
         IF (ok_conserv_q) THEN
-          bsum(il) = bsum(il) + (fr(il,i)-fqd(il,i))*(ph(il,i)-ph(il,i+1))
-          csum(il) = csum(il) + (ph(il,i)-ph(il,i+1))
+          bsum(il) = bsum(il) + (fr(il, i) - fqd(il, i)) * (ph(il, i) - ph(il, i + 1))
+          csum(il) = csum(il) + (ph(il, i) - ph(il, i + 1))
 
         ELSE
-          bsum(il)=bsum(il)+(fr(il,i)-fqd(il,i))*(lv(il,i)+(cl-cpd)*(t(il,i)-t(il,1)))* &
-                            (ph(il,i)-ph(il,i+1))
-          csum(il)=csum(il)+(lv(il,i)+(cl-cpd)*(t(il,i)-t(il,1)))* &
-                            (ph(il,i)-ph(il,i+1))
+          bsum(il) = bsum(il) + (fr(il, i) - fqd(il, i)) * (lv(il, i) + (cl - cpd) * (t(il, i) - t(il, 1))) * &
+                  (ph(il, i) - ph(il, i + 1))
+          csum(il) = csum(il) + (lv(il, i) + (cl - cpd) * (t(il, i) - t(il, 1))) * &
+                  (ph(il, i) - ph(il, i + 1))
         ENDIF ! (ok_conserv_q)
-!jyg>
-        dsum(il) = dsum(il) + t(il, i)*(ph(il,i)-ph(il,i+1))/th(il, i)
-!jyg  Unsaturated part : use T_wake profile
-        esum(il) = esum(il) + ftd(il, i)*(ph(il,i)-ph(il,i+1))
-!jyg<20140311
-!Correction pour conserver l eau
+        !jyg>
+        dsum(il) = dsum(il) + t(il, i) * (ph(il, i) - ph(il, i + 1)) / th(il, i)
+        !jyg  Unsaturated part : use T_wake profile
+        esum(il) = esum(il) + ftd(il, i) * (ph(il, i) - ph(il, i + 1))
+        !jyg<20140311
+        !Correction pour conserver l eau
         IF (ok_conserv_q) THEN
-          fsum(il) = fsum(il) + fqd(il, i)*(ph(il,i)-ph(il,i+1))
-          gsum(il) = gsum(il) + (ph(il,i)-ph(il,i+1))
+          fsum(il) = fsum(il) + fqd(il, i) * (ph(il, i) - ph(il, i + 1))
+          gsum(il) = gsum(il) + (ph(il, i) - ph(il, i + 1))
         ELSE
-          fsum(il)=fsum(il)+fqd(il,i)*(lv(il,i)+(cl-cpd)*(t_wake(il,i)-t_wake(il,1)))* &
-                            (ph(il,i)-ph(il,i+1))
-          gsum(il)=gsum(il)+(lv(il,i)+(cl-cpd)*(t_wake(il,i)-t_wake(il,1)))* &
-                            (ph(il,i)-ph(il,i+1))
+          fsum(il) = fsum(il) + fqd(il, i) * (lv(il, i) + (cl - cpd) * (t_wake(il, i) - t_wake(il, 1))) * &
+                  (ph(il, i) - ph(il, i + 1))
+          gsum(il) = gsum(il) + (lv(il, i) + (cl - cpd) * (t_wake(il, i) - t_wake(il, 1))) * &
+                  (ph(il, i) - ph(il, i + 1))
         ENDIF ! (ok_conserv_q)
-!jyg>
-        hsum(il) = hsum(il) + t_wake(il, i)*(ph(il,i)-ph(il,i+1))/th_wake(il, i)
+        !jyg>
+        hsum(il) = hsum(il) + t_wake(il, i) * (ph(il, i) - ph(il, i + 1)) / th_wake(il, i)
       END IF
     END DO
   END DO
 
-!!!!      do 700 i=1,icb(il)-1
+  !!!!      do 700 i=1,icb(il)-1
   IF (ok_homo_tend) THEN
     DO i = 1, nl
       DO il = 1, ncum
-        IF (i<=(icb(il)-1) .AND. iflag(il)<=1) THEN
-          ftd(il, i) = esum(il)*t_wake(il, i)/(th_wake(il,i)*hsum(il))
-          fqd(il, i) = fsum(il)/gsum(il)
-          ft(il, i) = ftd(il, i) + asum(il)*t(il, i)/(th(il,i)*dsum(il))
-          fr(il, i) = fqd(il, i) + bsum(il)/csum(il)
+        IF (i<=(icb(il) - 1) .AND. iflag(il)<=1) THEN
+          ftd(il, i) = esum(il) * t_wake(il, i) / (th_wake(il, i) * hsum(il))
+          fqd(il, i) = fsum(il) / gsum(il)
+          ft(il, i) = ftd(il, i) + asum(il) * t(il, i) / (th(il, i) * dsum(il))
+          fr(il, i) = fqd(il, i) + bsum(il) / csum(il)
         END IF
       END DO
@@ -4517,21 +4475,21 @@
   ENDIF
 
-!jyg<
-!Conservation de l'eau
-!!  sumdq = 0.
-!!  DO k = 1, nl
-!!    sumdq = sumdq + fr(1, k)*100.*(ph(1,k)-ph(1,k+1))/grav
-!!  END DO
-!!  PRINT *, 'cv3_yield, apres hom, sum(dq), precip, somme ', sumdq, Vprecip(1, 1), sumdq + vprecip(1, 1)
-!jyg>
-
-
-! ***   Check that moisture stays positive. If not, scale tendencies
-! in order to ensure moisture positivity
+  !jyg<
+  !Conservation de l'eau
+  !!  sumdq = 0.
+  !!  DO k = 1, nl
+  !!    sumdq = sumdq + fr(1, k)*100.*(ph(1,k)-ph(1,k+1))/grav
+  !!  END DO
+  !!  PRINT *, 'cv3_yield, apres hom, sum(dq), precip, somme ', sumdq, Vprecip(1, 1), sumdq + vprecip(1, 1)
+  !jyg>
+
+
+  ! ***   Check that moisture stays positive. If not, scale tendencies
+  ! in order to ensure moisture positivity
   DO il = 1, ncum
     alpha_qpos(il) = 1.
     IF (iflag(il)<=1) THEN
-      IF (fr(il,1)<=0.) THEN
-        alpha_qpos(il) = max(alpha_qpos(il), (-delt*fr(il,1))/(s_wake(il)*rr_wake(il,1)+(1.-s_wake(il))*rr(il,1)))
+      IF (fr(il, 1)<=0.) THEN
+        alpha_qpos(il) = max(alpha_qpos(il), (-delt * fr(il, 1)) / (s_wake(il) * rr_wake(il, 1) + (1. - s_wake(il)) * rr(il, 1)))
       END IF
     END IF
@@ -4540,6 +4498,6 @@
     DO il = 1, ncum
       IF (iflag(il)<=1) THEN
-        IF (fr(il,i)<=0.) THEN
-          alpha_qpos1(il) = max(1., (-delt*fr(il,i))/(s_wake(il)*rr_wake(il,i)+(1.-s_wake(il))*rr(il,i)))
+        IF (fr(il, i)<=0.) THEN
+          alpha_qpos1(il) = max(1., (-delt * fr(il, i)) / (s_wake(il) * rr_wake(il, i) + (1. - s_wake(il)) * rr(il, i)))
           IF (alpha_qpos1(il)>=alpha_qpos(il)) alpha_qpos(il) = alpha_qpos1(il)
         END IF
@@ -4549,17 +4507,17 @@
   DO il = 1, ncum
     IF (iflag(il)<=1 .AND. alpha_qpos(il)>1.001) THEN
-      alpha_qpos(il) = alpha_qpos(il)*1.1
+      alpha_qpos(il) = alpha_qpos(il) * 1.1
     END IF
   END DO
 
-    IF (prt_level >= 5) THEN
-      print *,' CV3_YIELD : alpha_qpos ',alpha_qpos(1)
-    ENDIF
+  IF (prt_level >= 5) THEN
+    print *, ' CV3_YIELD : alpha_qpos ', alpha_qpos(1)
+  ENDIF
 
   DO il = 1, ncum
     IF (iflag(il)<=1) THEN
-      sigd(il) = sigd(il)/alpha_qpos(il)
-      precip(il) = precip(il)/alpha_qpos(il)
-      cbmf(il) = cbmf(il)/alpha_qpos(il)
+      sigd(il) = sigd(il) / alpha_qpos(il)
+      precip(il) = precip(il) / alpha_qpos(il)
+      cbmf(il) = cbmf(il) / alpha_qpos(il)
     END IF
   END DO
@@ -4567,59 +4525,59 @@
     DO il = 1, ncum
       IF (iflag(il)<=1) THEN
-        fr(il, i) = fr(il, i)/alpha_qpos(il)
-        ft(il, i) = ft(il, i)/alpha_qpos(il)
-        fqd(il, i) = fqd(il, i)/alpha_qpos(il)
-        ftd(il, i) = ftd(il, i)/alpha_qpos(il)
-        fu(il, i) = fu(il, i)/alpha_qpos(il)
-        fv(il, i) = fv(il, i)/alpha_qpos(il)
-        m(il, i) = m(il, i)/alpha_qpos(il)
-        mp(il, i) = mp(il, i)/alpha_qpos(il)
-        Vprecip(il, i) = Vprecip(il, i)/alpha_qpos(il)
-        Vprecipi(il, i) = Vprecipi(il, i)/alpha_qpos(il)                     ! jyg
+        fr(il, i) = fr(il, i) / alpha_qpos(il)
+        ft(il, i) = ft(il, i) / alpha_qpos(il)
+        fqd(il, i) = fqd(il, i) / alpha_qpos(il)
+        ftd(il, i) = ftd(il, i) / alpha_qpos(il)
+        fu(il, i) = fu(il, i) / alpha_qpos(il)
+        fv(il, i) = fv(il, i) / alpha_qpos(il)
+        m(il, i) = m(il, i) / alpha_qpos(il)
+        mp(il, i) = mp(il, i) / alpha_qpos(il)
+        Vprecip(il, i) = Vprecip(il, i) / alpha_qpos(il)
+        Vprecipi(il, i) = Vprecipi(il, i) / alpha_qpos(il)                     ! jyg
       END IF
     END DO
   END DO
-!jyg<
-!-----------------------------------------------------------
-           IF (ok_optim_yield) THEN                       !|
-!-----------------------------------------------------------
-  DO i = 1, nl
-    DO il = 1, ncum
-      IF (iflag(il)<=1) THEN
-        upwd(il, i) = upwd(il, i)/alpha_qpos(il)
-        dnwd(il, i) = dnwd(il, i)/alpha_qpos(il)
-      END IF
-    END DO
-  END DO
-!-----------------------------------------------------------
-        ENDIF !(ok_optim_yield)                           !|
-!-----------------------------------------------------------
-!>jyg
-  DO j = 1, nl !yor! inverted i and j loops
-     DO i = 1, nl
+  !jyg<
+  !-----------------------------------------------------------
+  IF (ok_optim_yield) THEN                       !|
+    !-----------------------------------------------------------
+    DO i = 1, nl
       DO il = 1, ncum
         IF (iflag(il)<=1) THEN
-          ment(il, i, j) = ment(il, i, j)/alpha_qpos(il)
+          upwd(il, i) = upwd(il, i) / alpha_qpos(il)
+          dnwd(il, i) = dnwd(il, i) / alpha_qpos(il)
         END IF
       END DO
     END DO
-  END DO
-
-!AC!      DO j = 1,ntra
-!AC!      DO i = 1,nl
-!AC!       DO il = 1,ncum
-!AC!        IF (iflag(il) .le. 1) THEN
-!AC!         ftra(il,i,j) = ftra(il,i,j)/alpha_qpos(il)
-!AC!        ENDIF
-!AC!       ENDDO
-!AC!      ENDDO
-!AC!      ENDDO
-
-
-! ***           reset counter and return           ***
-
-! Reset counter only for points actually convective (jyg)
-! In order take into account the possibility of changing the compression,
-! reset m, sig and w0 to zero for non-convecting points.
+    !-----------------------------------------------------------
+  ENDIF !(ok_optim_yield)                           !|
+  !-----------------------------------------------------------
+  !>jyg
+  DO j = 1, nl !yor! inverted i and j loops
+    DO i = 1, nl
+      DO il = 1, ncum
+        IF (iflag(il)<=1) THEN
+          ment(il, i, j) = ment(il, i, j) / alpha_qpos(il)
+        END IF
+      END DO
+    END DO
+  END DO
+
+  !AC!      DO j = 1,ntra
+  !AC!      DO i = 1,nl
+  !AC!       DO il = 1,ncum
+  !AC!        IF (iflag(il) .le. 1) THEN
+  !AC!         ftra(il,i,j) = ftra(il,i,j)/alpha_qpos(il)
+  !AC!        ENDIF
+  !AC!       ENDDO
+  !AC!      ENDDO
+  !AC!      ENDDO
+
+
+  ! ***           reset counter and return           ***
+
+  ! Reset counter only for points actually convective (jyg)
+  ! In order take into account the possibility of changing the compression,
+  ! reset m, sig and w0 to zero for non-convecting points.
   DO il = 1, ncum
     IF (iflag(il) < 3) THEN
@@ -4628,5 +4586,4 @@
   END DO
 
-
   DO i = 1, nl
     DO il = 1, ncum
